
// ddraw.hh


class DrawDialog : public UDialog {
public:
  DrawDialog();

protected:
  UBox *drawingArea;
  UColor   fgcolor;
  UBgcolor bgcolor;
  UBackground bg;

  u_pos lastx, lasty;
  u_pos *xpoints, *ypoints;
  u_count card, size;

  void pressMouse(UEvent&);
  void releaseMouse(UEvent&);
  void dragMouse(UEvent&);
  void repaintDrawingCB(UEvent&);
  void setFgcolor(UColor&);
  void setBgcolor(UColor&);
  void setBgima(UIma&);
  void drawXOR(UEvent&);
};

